<?php

class AppController extends Controller{
	
	/**
	 * Componentes globales para todos los controladores
	 * @var array
	 */
	public $components = array(
        'Auth',
        'Session',
		'RequestHandler'
    );
	
	/**
	 * Helpers globales para todos los controladores
	 * @var array
	 */
	public $helpers = array(
		'Js' => array('Jquery'),
        'Html',
        'Form',
        'Session',
    );
    
    /**
     * Acciones antes de entrar en los controladores definidos.
     */
    function beforeFilter(){
    	//Da acceso a todos las páginas dentro de /pages
    	$this->Auth->allow('display');
    	
    	//Configura AuthComponent
    	$this->Auth->loginRedirect = array('controller' => 'users', 'action' => 'index');
    	  	
    	//Comprueba que no hay una sesión en modo juego fuera del controlador Game.
    	if ($this->name != 'games' && $this->Session->check('Game')){
    		$this->Session->delete('Game');
    	}
    }
}

?>